regex_compiler.h File Reference

Go to the source code of this file.

## Classes

struct | std::__detail::_BracketMatcher< typename, bool, bool >
struct | std::__detail::_BracketMatcher< typename, bool, bool >
class | std::__detail::_Compiler< _TraitsT >

## Namespaces

| std
| std::__detail

## Functions

template<typename _TraitsT >
std::shared_ptr< _NFA< _TraitsT > > | std::__detail::__compile_nfa (const typename _TraitsT::char_type *__first, const typename _TraitsT::char_type *__last, const _TraitsT &__traits, regex_constants::syntax_option_type __flags)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <regex>.

Definition in file regex_compiler.h.